/// <reference types="node" />
import type { APIContext, AstroConfig, AstroMiddlewareInstance, EndpointHandler, EndpointOutput, Params } from '../../@types/astro';
import type { Environment, RenderContext } from '../render/index';
import { AstroCookies } from '../cookies/index.js';
import { type LogOptions } from '../logger/core.js';
type EndpointCallResult = {
    type: 'simple';
    body: string;
    encoding?: BufferEncoding;
    cookies: AstroCookies;
} | {
    type: 'response';
    response: Response;
};
export declare function createAPIContext({ request, params, site, props, adapterName, }: {
    request: Request;
    params: Params;
    site?: string;
    props: Record<string, any>;
    adapterName?: string;
}): APIContext;
export declare function callEndpoint<MiddlewareResult = Response | EndpointOutput>(mod: EndpointHandler, env: Environment, ctx: RenderContext, logging: LogOptions, middleware?: AstroMiddlewareInstance<MiddlewareResult> | undefined): Promise<EndpointCallResult>;
export declare function throwIfRedirectNotAllowed(response: Response, config: AstroConfig): void;
export {};
