import type { ComponentInstance, Params, Props, RouteData, SSRElement, SSRResult } from '../../@types/astro';
import type { Environment } from './environment';
/**
 * The RenderContext represents the parts of rendering that are specific to one request.
 */
export interface RenderContext {
    request: Request;
    origin: string;
    pathname: string;
    url: URL;
    scripts?: Set<SSRElement>;
    links?: Set<SSRElement>;
    styles?: Set<SSRElement>;
    componentMetadata?: SSRResult['componentMetadata'];
    route?: RouteData;
    status?: number;
    params: Params;
    props: Props;
}
export type CreateRenderContextArgs = Partial<RenderContext> & {
    origin?: string;
    request: RenderContext['request'];
    mod: ComponentInstance;
    env: Environment;
};
export declare function createRenderContext(options: CreateRenderContextArgs): Promise<RenderContext>;
