import { getParamsAndPropsOrThrow } from "./core.js";
async function createRenderContext(options) {
  const request = options.request;
  const url = new URL(request.url);
  const origin = options.origin ?? url.origin;
  const pathname = options.pathname ?? url.pathname;
  const [params, props] = await getParamsAndPropsOrThrow({
    mod: options.mod,
    route: options.route,
    routeCache: options.env.routeCache,
    pathname,
    logging: options.env.logging,
    ssr: options.env.ssr
  });
  return {
    ...options,
    origin,
    pathname,
    url,
    params,
    props
  };
}
export {
  createRenderContext
};
